local config = require('mer.characterBackgrounds.config')

local getData = function()
    local data = tes3.player.data.merBackgrounds
    return data
end

return {
    id = "artificer",
    name = "Artificier",
    description = (
        "Vous pouvez percevoir les proprits magiques intrinsques  tous les objets, " ..
        "vous donnant une aptitude inne pour enchanter (+50 en Enchantement). " ..
        "Cependant, cela semble tre votre seul exutoire pour user de la magie, car vous tes " ..
        "totalement incapable de lancer le moindre sort. "
    ),
    doOnce = function()
        tes3.modStatistic({
            reference = tes3.player,
            skill = tes3.skill.enchant,
            value = 50
        })
    end,
    callback = function()
        local function spellCast(e)
            local data = getData()
            if data.currentBackground == "artificer" then
                if e.caster == tes3.player then
                    local allowedSpells = config.exclusions
                    if not allowedSpells[e.source.name] then
                        e.castChance = 0
                    end
                end
            end
        end

        event.unregister("spellCast", spellCast)
        event.register("spellCast", spellCast)
    end
}
