local minBounty = 20
local maxBounty = 120
local minInterval = 24
local maxInterval = ( 24 * 4 )


local function calcCrimeInterval()
    return math.random(minInterval, maxInterval)
end
local function calcCrimeValue()
    return math.random(minBounty, maxBounty)
end
local getData = function()
    local data = tes3.player.data.merBackgrounds or {}
    data.framed = data.framed or {
        timeToNextCrime = calcCrimeInterval()
    }
    return data
end

return  {
    id = "framed",
    name = "Fugitif",
    description = (
        "Vous vous tes mis  dos certaines personnes trs puissantes. " ..
        "De temps en temps, vous recevrez une prime sur votre tte pour un crime que vous n'avez pas commis. Cette vie " ..
        "de fugitif vous a donn un talent pour la ruse et la furtivit (+10  tous les talents de Discrtion)."
    ),
    doOnce = function()
        local stealthSkills = {
            "acrobatics",
            "security",
            "sneak",
            "lightArmor",
            "marksman",
            "shortBlade",
            "handToHand",
            "mercantile",
            "speechcraft",
        }
        for _, skill in ipairs(stealthSkills) do
            tes3.modStatistic({
                reference = tes3.player,
                skill = tes3.skill[skill],
                value = 10
            })
        end

    end,
    callback = function()
        local checkCrime
        local timerInterval = 1
        local function startTimer()
            timer.start{
                type = timer.game,
                duration =  timerInterval,
                callback = checkCrime,
                iterations = -1
            }
        end


        checkCrime = function()
            local data = getData()
            if not tes3.mobilePlayer.inCombat then
                if data.framed.timeToNextCrime <= 0 and tes3.mobilePlayer.bounty <= 300 then
                    --Add bounty
                    local crimeVal = calcCrimeValue()
                    tes3.mobilePlayer.bounty = crimeVal
                    tes3.messageBox("Votre tte a t mise  prix pour %s pices d'or.", crimeVal)

                    --Set time to next bounty
                    local newInterval = calcCrimeInterval()
                    data.framed.timeToNextCrime = newInterval
                    return
                end
            end
            data.framed.timeToNextCrime = data.framed.timeToNextCrime - timerInterval
        end

        startTimer()
    end
}
