local config = require('mer.characterBackgrounds.config')
local function getData()
    local data = tes3.player.data.merBackgrounds or {}
    return data
end

return {
    id = "greenPact",
    name = "Pacte vert",
    description = (
        "En tant que Bosmer, vous avez prt un serment, connu sous le nom de Pacte vert,  la divinit de la fort Y'ffre. " ..
        "L'une des conditions de ce pacte stipule que vous ne pouvez consommer que des produits d'origine animale." ..
        "\n\nRserv aux Elfes des bois."
    ),
    checkDisabled = function()
        local race = tes3.player.object.race.id
        return race ~= "Wood Elf"
    end,
    callback = function()

        local function checkIsMeat(e)
            local data = getData()
            if data.currentBackground ~= "greenPact" then return end

            if e.item.objectType == tes3.objectType.ingredient then
                local id = string.lower(e.item.id)
                if not config.greenPactAllowed[id] then
                    tes3.messageBox("Le Pacte vert vous interdit de manger cela.")
                    return false
                end
            end
        end
        event.unregister("equip", checkIsMeat )
        event.register("equip", checkIsMeat )
    end
}
