local function getData()
    local data = tes3.player.data.merBackgrounds or {}
    data.tracker = data.tracker or {
        buffed = false,
    }
    return data
end

local function modSpeed(value)
    tes3.modStatistic({
        reference = tes3.player,
        attribute = tes3.attribute.speed,
        value = value
    })
end

return {
    id = "tracker",
    name = "Traqueur",
    description = (
        "En tant que traqueur chevronn, vous pouvez identifier les signes et perturbations laisss par les animaux pour savoir o ils se trouvent. " ..
        "Vous connaissez galement le terrain et pouvez vous dplacer rapidement sur un sol accident. " ..
        "Vous obtenez une capacit de Dtection des animaux sur 100 pieds, et gagnez 10 points en Rapidit en extrieur dans les rgions sauvages."
    ),
    doOnce = function()
        --add tracker ability
        tes3.addSpell{
            reference = tes3.player,
            spell = "mer_bg_tracker_a"
        }
    end,

    callback = function()


        local function cellChanged(e)
            local data = getData()
            if data.currentBackground == "tracker" then
                --In town
                if e.cell.restingIsIllegal then
                    --remove buff
                    if data.tracker.buffed then
                        data.tracker.buffed = false
                        modSpeed(-10)
                    end
                else
                --Not in town

                    --outside
                    if not e.cell.isInterior then
                        --add buff
                        if not data.tracker.buffed then
                            data.tracker.buffed = true
                            modSpeed(10)
                        end
                    else
                        if data.tracker.buffed then
                            data.tracker.buffed = false
                            modSpeed(-10)
                        end
                    end
                end
            else
                --remove buff
                if data.tracker and data.tracker.buffed then
                    data.tracker.buffed = false
                    modSpeed(-10)
                end
            end
        end

        event.unregister("cellChanged", cellChanged)
        event.register("cellChanged", cellChanged)
    end
}
