local backgrounds = require("mer.characterBackgrounds.backgroundsList")

local this = {}
function this.addBackground(params)
    assert(
        params.id,
        "Votre histoire doit avoir un edID.")
    assert(
        params.name,
        string.format("L'histoire \"%s\" doit avoir un nom.", params.id)
    )
    assert(
        params.description,
        string.format("L'histoire \"%s\" doit avoir une description.", params.id)
    )
    assert(
        (params.doOnce or params.callback),
        string.format("L'histoire \"%s\" doit avoir une fonction doOnce ou callback (ou les deux).", params.id )
    )
    backgrounds[params.id] = params
    mwse.log("L'histoire \"%s\" a t ajoute avec succs.", params.name)
end

function this.getCurrentBackground()
    local backgroundId = tes3.player
        and tes3.player.data.merBackgrounds
        and tes3.player.data.merBackgrounds.currentBackground
    if backgroundId then
        local background = backgrounds[backgroundId]

        if background then
            background.getName = function(self)
                return self.name
            end

            background.getDescription = function(self)
                if type(self.description) == "function" then
                    return self.description()
                else
                    return self.description
                end
            end

            return background
        end

    end
end


return this
